package cokr.xit.fims.sprt.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;
import cokr.xit.fims.sprt.CvlcptDscsn;
import cokr.xit.fims.sprt.CvlcptDscsnQuery;
import cokr.xit.fims.sprt.service.CvlcptDscsnService;

/**민원 상담 내용 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-09-05	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("cvlcptDscsnService")
public class CvlcptDscsnServiceBean extends AbstractServiceBean implements CvlcptDscsnService {

	/** 민원 상담 내용 정보 Bean */
	@Resource(name = "cvlcptDscsnBean")
	private CvlcptDscsnBean cvlcptDscsnBean;

	@Override
	public List<DataObject> getCvlcptDscsnList(CvlcptDscsnQuery req) {
		return cvlcptDscsnBean.getCvlcptDscsnList(req);
	}

	@Override
	public List<DataObject> getCvlcptDscsns(CvlcptDscsnQuery req) {
		return cvlcptDscsnBean.getCvlcptDscsns(req);
	}

	@Override
	public DataObject getCvlcptDscsnNocs(CvlcptDscsnQuery req) {
		return cvlcptDscsnBean.getCvlcptDscsnNocs(req);
	}

	@Override
	public DataObject getCvlcptDscsnInfo(CvlcptDscsnQuery req) {
        return cvlcptDscsnBean.getCvlcptDscsnInfo(req);
	}

   @Override
    public DataObject getCrdnInfo(CvlcptDscsnQuery req) {
        return cvlcptDscsnBean.getCrdnInfo(req);
    }

	@Override
	public String createCvlcptDscsn(CvlcptDscsn cvlcptDscsn) {
		return cvlcptDscsnBean.createCvlcptDscsn(cvlcptDscsn);
	}

	@Override
	public String updateCvlcptDscsn(CvlcptDscsn cvlcptDscsn) {
		return cvlcptDscsnBean.updateCvlcptDscsn(cvlcptDscsn);
	}

	@Override
	public String removeCvlcptDscsn(CvlcptDscsn cvlcptDscsn) {
		return cvlcptDscsnBean.removeCvlcptDscsn(cvlcptDscsn);
	}

}
